package com.fjhx.sale.service.commission;

import com.fjhx.sale.entity.commission.po.CommissionType;
import com.fjhx.sale.entity.commission.vo.CommissionTypeVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 业绩提成类型 服务类
 * </p>
 *
 * @author
 * @since 2023-09-20
 */
public interface CommissionTypeService extends BaseService<CommissionType> {

    /**
     * 业绩提成类型列表
     */
    List<CommissionTypeVo> getList();

    /**
     * 业绩提成类型新增/修改
     */
    void addOrEdit(List<CommissionType> commissionTypeList);

    /**
     * 业绩提成类型删除
     */
    void delete(Long id);

}
